# Class DataGridValuePipe<T>

#### Type Parameters

- T extends Record<string, unknown>

#### Implements

- PipeTransform

- Defined in data-grid-value.pipe.ts:13

#####
Index

### Constructors

constructor

### Methods

transform

##
Constructors

### constructor

- new DataGridValuePipe<T extends Record<string, unknown>>(): DataGridValuePipe<T>

  #### Type Parameters

  - T extends Record<string, unknown>

  #### Returns DataGridValuePipe<T>

##
Methods

### transform

- transform(data: Observable<T>, path?: string): Observable<unknown>

  #### Parameters

  - data: Observable<T>
  - `Optional` path: string

  #### Returns Observable<unknown>

  Implementation of PipeTransform.transform

  - Defined in data-grid-value.pipe.ts:15